package net.pricefx.common.api;

import java.util.stream.Stream;

public enum InputButtonAction {
	CANCEL,
	CLEAR,
	RESET,
	OK,
	ALL;
	
	public static boolean isValid(String s) {
		return s!=null && Stream.of(values()).map(InputButtonAction::toString).anyMatch(s::equals);
	}
}